Loading...
Searching...
No Matches
QGpgME::QGpgMESignJob Class Reference
Inheritance diagram for QGpgME::QGpgMESignJob:
[legend]
Collaboration diagram for QGpgME::QGpgMESignJob:
[legend]

## Public Member Functions

| QGpgMESignJob (GpgME::Context *context)
GpgME::Error | start (const std::vector< GpgME::Key > &signers, const QByteArray &plainText, GpgME::SignatureMode mode) override
void | start (const std::vector< GpgME::Key > &signers, const std::shared_ptr< QIODevice > &plainText, const std::shared_ptr< QIODevice > &signature, GpgME::SignatureMode mode) override
GpgME::SigningResult | exec (const std::vector< GpgME::Key > &signers, const QByteArray &plainText, GpgME::SignatureMode mode, QByteArray &signature) override
void | setOutputIsBase64Encoded (bool on) override
Public Member Functions inherited from QGpgME::_detail::ThreadedJobMixin< SignJob, QGpgMESignJobPrivate, std::tuple< GpgME::SigningResult, QByteArray, QString, GpgME::Error > >
void | run ()
Public Member Functions inherited from QGpgME::SignJob
void | setSigners (const std::vector< GpgME::Key > &signers)
std::vector< GpgME::Key > | signers () const
void | setInputFile (const QString &path)
QString | inputFile () const
void | setOutputFile (const QString &path)
QString | outputFile () const
void | setSigningFlags (GpgME::SignatureMode flags)
GpgME::SignatureMode | signingFlags () const
void | setAppendSignature (bool append)
bool | appendSignatureEnabled () const
Public Member Functions inherited from QGpgME::Job
bool | isAuditLogSupported () const
GpgME::Error | startIt ()
void | startNow ()

## Additional Inherited Members

Public Types inherited from QGpgME::_detail::ThreadedJobMixin< SignJob, QGpgMESignJobPrivate, std::tuple< GpgME::SigningResult, QByteArray, QString, GpgME::Error > >
typedef ThreadedJobMixin< SignJob, QGpgMESignJobPrivate, std::tuple< GpgME::SigningResult, QByteArray, QString, GpgME::Error > > | mixin_type
typedef std::tuple< GpgME::SigningResult, QByteArray, QString, GpgME::Error > | result_type
Signals inherited from QGpgME::SignJob
void | result (const GpgME::SigningResult &result, const QByteArray &signature, const QString &auditLogAsHtml=QString(), const GpgME::Error &auditLogError=GpgME::Error())
Signals inherited from QGpgME::Job
void | jobProgress (int current, int total)
void | rawProgress (const QString &what, int type, int current, int total)
QGPGME_DEPRECATED void | progress (const QString &what, int current, int total)
void | done ()
Static Public Member Functions inherited from QGpgME::Job
static GpgME::Context * | context (Job *job)
Protected Member Functions inherited from QGpgME::_detail::ThreadedJobMixin< SignJob, QGpgMESignJobPrivate, std::tuple< GpgME::SigningResult, QByteArray, QString, GpgME::Error > >
| ThreadedJobMixin (GpgME::Context *ctx)
void | lateInitialization ()
void | setWorkerFunction (const T_binder &func)
GpgME::Context * | context () const
virtual void | resultHook (const result_type &)
void | slotFinished ()
void | slotCancel () override
QString | auditLogAsHtml () const override
GpgME::Error | auditLogError () const override
void | showProgress (const char *what, int type, int current, int total) override
Protected Member Functions inherited from QGpgME::SignJob
| SignJob (std::unique_ptr< SignJobPrivate >, QObject *parent)
Protected Member Functions inherited from QGpgME::Job
| Job (std::unique_ptr< JobPrivate >, QObject *parent)
| Job (QObject *parent)
Protected Attributes inherited from QGpgME::Job
const std::unique_ptr< JobPrivate > | d_ptr

## Member Function Documentation

## exec()

SigningResult QGpgMESignJob::exec | ( | const std::vector< GpgME::Key > & | signers,
|  | const QByteArray & | plainText,
|  | GpgME::SignatureMode | mode,
|  | QByteArray & | signature )

override virtual

Implements QGpgME::SignJob.

## setOutputIsBase64Encoded()

void QGpgMESignJob::setOutputIsBase64Encoded | ( | bool |  | ) |

override virtual

This is a hack to request BASE64 output (instead of whatever comes out normally).

Implements QGpgME::SignJob.

## start() [1/2]

GpgME::Error QGpgME::QGpgMESignJob::start | ( | const std::vector< GpgME::Key > & | signers,
|  | const QByteArray & | plainText,
|  | GpgME::SignatureMode | mode )

override virtual

Starts the signing operation. signers is the list of keys to sign plainText with. Empty (null) keys are ignored.

Implements QGpgME::SignJob.

## start() [2/2]

void QGpgME::QGpgMESignJob::start | ( | const std::vector< GpgME::Key > & | signers,
|  | const std::shared_ptr< QIODevice > & | plainText,
|  | const std::shared_ptr< QIODevice > & | signature,
|  | GpgME::SignatureMode | mode )

override virtual

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

If signature is non-null the signature is written there. Otherwise, it will be delivered in the second argument of result().

Implements QGpgME::SignJob.

The documentation for this class was generated from the following files:

- qgpgmesignjob.h
- qgpgmesignjob.cpp